// Fill out your copyright notice in the Description page of Project Settings.

#pragma once

#include "CoreMinimal.h"
#include "ICsdkTraceOutput.h"


class CSDKRUNTIME_API ICsdkTrace
{
public:
	virtual ~ICsdkTrace(){}
	
	virtual void AddOutput(const TSharedPtr<ICsdkTraceOutput>& Output) = 0;
	virtual void SetTraceLevel(ELogVerbosity::Type Level) =0;
	virtual void Log( const class FName& Category, ELogVerbosity::Type Verbosity,const FString& Data) = 0;
};
